installation:
	# installer un environnement virtuel python 
	python3 -m venv ./venv
	( \
		. ./venv/bin/activate ; \
		pip install -r requirements.txt; \
	)
	# compiler le projet java maven calcul correllation
	cd ./OSM_outils/CorrelationDimension_Michele_Tirico_Java ; mvn package

tests:
	
	#lancer les tests
	( \
		. ./venv/bin/activate ; \
		python ./manage.py test recuperateur_reseau_viaire.Tests.tous_test ; \
		python ./manage.py test recuperateur_reseau_viaire.Tests.Forms ; \
		python ./manage.py test OSM_outils ; \
	)

clean:
	# supprimme l'environnment virtuel
	rm -r ./venv
	# supprimme la compilation du code Java
	rm ./OSM_outils/CorrelationDimension_Michele_Tirico_Java/target/CorrelationDimension_Michele_Tirico_Java-1.0-SNAPSHOT*
